## org.eclipse.jst.jsf.designtime.context
Class DTJSPExternalContext

    java.lang.Object
      org.eclipse.jst.jsf.designtime.context.AbstractDTExternalContext
          org.eclipse.jst.jsf.designtime.context.DTJSPExternalContext

All Implemented Interfaces:
  IDTExternalContext

    public class DTJSPExternalContext

extends AbstractDTExternalContext

A designtime proxy for the Faces ExternalContext Clients may sub-class.

Method Summary
`java.lang.String` `getRequestContextPath()` Servlet 2.3_SRV.4.4: The context path of the application.
`void` `trace(java.io.PrintStream stream)`

Methods inherited from class org.eclipse.jst.jsf.designtime.context.AbstractDTExternalContext
`getApplicationMap, getMapForScope, getNoneMap, getRequestMap, getSessionMap`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### trace

    public final void trace(java.io.PrintStream stream)

  Parameters:
    `stream` -

### getRequestContextPath

    public java.lang.String getRequestContextPath()

  Description copied from interface: `IDTExternalContext`
  Servlet 2.3_SRV.4.4: The context path of the application.

  Specified by:
    `getRequestContextPath` in interface `IDTExternalContext`
  Overrides:
    `getRequestContextPath` in class `AbstractDTExternalContext`
  Returns:
    the request context path